Packages - Bug #3134

[texlive-bin] unable to satisfy icu dependencies
2021-11-25 09:46 AM - Anonymous

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

¢ steps to reproduce:
# pacman -Syu texlive-core
e expected result:
The package texlive-core and its dependencies are installed.
e actual result:
error: failed to prepare transaction (could not satisfy dependencies)
unable to satisfy dependency 'libicuil8n.so=69-64' required by texlive-bin
unable to satisfy dependency 'libicuuc.so=69-64' required by texlive-bin

e probable cause

There was a recent upgrade of icu from the [core] repository which now provides libicui18n.s0=70-64 and libicuuc.so=70-64. Hence,
texlive-bin needs to be rebuilt against those.

Many thanks

History

#1 - 2021-11-25 08:53 PM - dllud

Hi boarim,
This is a recurrent event that Parabola's maintainers keep track at #2047 and #2746
#2 - 2021-11-25 10:14 PM - bill-auger

- Assignee set to bill-auger

- Status changed from unconfirmed to in progress
the new 'icu-compat' package should resolve the conflict - there was a new keyring this week also, so ppl may need to install that first
# pacman -Sy parabola-keyring

# pacman -S icu-compat
# pacman -Su

#3 - 2021-11-25 10:27 PM - dllud

Where can | find the new icu-compat? The version that | can currently get from [libre] (67.1-1.parabola1) does not solve the conflict.

#4 - 2021-11-26 12:30 AM - bill-auger

it takes time for new packages to propagate across the mirror network - currently, that interval is different for each mirror, and unknown for several
new packages appear on the website, normally within 30 minutes - you can always cherry-pick individual packages in that way

the general procedure, is to visit the parabola packages website (the "packages" link in the top nav-bar https://www.parabola.nu/packages/), and

search for a package name (eg: icu); then to install one, right-click
the "Download From Mirror" link and select "copy link", then paste that URL to pacman - eg:

# pacman -U https://www.parabola.nu/packages/libre/x86_64/icu—-compat/download/
if you are using the default mirrorlist (the redirector), you could simply try installing it in the normal way, specifying the precise version, but repeatedly
until it succeeds

# while ! pacman -Sy icu-compat=69.1-1.parabolal ; do sleep 1 ; done ;
or CLI-savvy folks may prefer to memorize the repo URL schema, so to cherry-pick glibly
<MIRROR>/pool/parabola/<PACKAGE_NAME>-<PACKAGE_VER>-<ARCH>.pkg.tar.zst
eg: https://repo.parabola.nu/pool/parabola/icu-compat-69.1-1.parabolal-x86_64.pkg.tar.zst

initially for some hours, some mirrors will have that file and others may not - with the repo URL scheme in mind, even “curl’ is a perfectly adequate
tool for this peculiar job - o/c, the simplest solution is to wait a few hours and try again

just some general advice (maybe this comment will seed a wiki page someday)

#5 - 2021-11-26 12:11 PM - dllud

Thanks bill-auger! Indeed, that explanation would sit nicely in the wiki.
| actually checked on the packages website before commenting here. Had no idea that it also takes a while for a package to show up there.
Anyway, the new icu-compat solved it for me. Thanks!

#6 - 2021-11-26 01:14 PM - Anonymous
Thank you bill-auger.
| confirm that it did the trick. | successfully installed texlive-core and its dependencies.

#7 - 2021-11-26 03:37 PM - bill-auger

- Status changed from in progress to fixed
#8 - 2021-12-06 03:59 AM - eliotime3000

A much better solution is install first the parabola-keyring and then install the icu-compat package. That solved the issue that | had with ICU
dependencies.
